﻿@using System.Security.Claims;
@using TaskTracker.Extensions;
@model CommentModel

<div class="comment-wrapper p-3 rounded-2 mb-3" data-id="@Model.Id">
    <div class="d-flex align-items-center gap-3">
        @await Html.PartialAsync("_UserAvatar", Model.CreatedBy)
        <h6 class="fw-semibold mb-0 fs-4">@Model.CreatedBy.Name</h6>
        <span class="fs-2">
            <span class="p-1 text-bg-muted rounded-circle d-inline-block"></span> @Model.CreatedOn.ToRecentTimeString()
        </span>
    </div>
    <div class="comment-body">
        <p class="my-3 comment-text">@Model.CommentText</p>
    </div>
    @if (Model.CreatedById == User.GetUserId())
    {
        <div class="comment-edit-control">
            <a onclick="editComment(@Model.Id)" class="me-2">Edit</a>
            <a onclick="deleteComment(@Model.Id)" class="me-1">Delete</a>
        </div>
    }

</div>